Refreshing provider alg list does not refresh toolbox

2017-04-20 05:48 AM - Victor Olaya

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Processing/Core

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24364

Description

When models or scripts are added/deleted/edited, the provider is refreshed, but the toolbox doesnt change at all

After a bit of manual testing, looks like callig something like this

QgsApplication.processingRegistry().providerById('model').refreshAlgorithms()

does not trigger the updateProvider() method of the toolbox. It should be connected to the algorithmsLoaded() signal, but maybe it's a

different instance of the provider...

Associated revisions

Revision b34ee28c - 2017-05-01 09:29 AM - Nyall Dawson

[processing] Fix refreshing alg list does not refresh toolbox

Fix #16455, #16463

History

#1 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#2 - 2017-04-30 05:09 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#3 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-05-01 09:29 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|b34ee28cd85269831263140eb80025f73d8f9328.
